package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import com.ruoyi.zdsz.domain.bo.ZEngineeringNodeBo;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * 工业工程|市政工程视图对象 z_engineering_industry
 *
 * @author ruoyi
 * @date 2024-01-02
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringIndustryVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 工程类型
     */
    @ExcelProperty(value = "工程类型")
    private String enginType;

    /**
     * 建筑单位
     */
    @ExcelProperty(value = "建筑单位")
    private String constructUnit;

    /**
     * 项目负责人
     */
    @ExcelProperty(value = "项目负责人")
    private String projectHead;

    /**
     * 现场负责人
     */
    @ExcelProperty(value = "现场负责人")
    private String sceneHead;

    /**
     * 设计单位
     */
    @ExcelProperty(value = "设计单位")
    private String designUnit;

    /**
     * 设计负责人
     */
    @ExcelProperty(value = "设计负责人")
    private String designHead;

    /**
     * 设计联系电话
     */
    @ExcelProperty(value = "设计联系电话")
    private String designPhone;

    /**
     * 监理单位
     */
    @ExcelProperty(value = "监理单位")
    private String supervisionUnit;

    /**
     * 监理负责人
     */
    @ExcelProperty(value = "监理负责人")
    private String supervisionHead;

    /**
     * 监理联系电话
     */
    @ExcelProperty(value = "监理联系电话")
    private String supervisionPhone;

    /**
     * 类型(工业工程|市政工程)
     */
    @ExcelProperty(value = "类型(工业工程|市政工程)")
    private String type;

    /**
     * 工程名称
     */
    @ExcelProperty(value = "工程名称")
    private String enginName;

    /**
     * 工程分类
     */
    @ExcelProperty(value = "工程分类")
    private String enginClassification;

    private ZEngineeringNodeBo zEngineeringNodeBo;

    private List<ZEngineeringNodeBo> zEngineeringNodeBoList;

    private List<ZEngiineeringPhotoVo> pics;

    public ZEngineeringNodeBo getzEngineeringNodeBo() {
        return zEngineeringNodeBo;
    }

    public List<ZEngineeringNodeBo> getzEngineeringNodeBoList() {
        return zEngineeringNodeBoList;
    }
}
