package com.ruoyi.zdsz.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringIndustryBo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringReviewBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringIndustryVo;

import java.util.Collection;
import java.util.List;

/**
 * 工业工程|市政工程Service接口
 *
 * @author ruoyi
 * @date 2024-01-02
 */
public interface IZEngineeringIndustryService {

    /**
     * 查询工业工程|市政工程
     */
    ZEngineeringIndustryVo queryById(String id);

    /**
     * 查询工业工程|市政工程列表
     */
    TableDataInfo<ZEngineeringIndustryVo> queryPageList(ZEngineeringIndustryBo bo, PageQuery pageQuery);

    /**
     * 查询工业工程|市政工程列表
     */
    List<ZEngineeringIndustryVo> queryList(ZEngineeringIndustryBo bo);

    /**
     * 新增工业工程|市政工程
     */
    Boolean insertByBo(ZEngineeringIndustryBo bo);

    /**
     * 修改工业工程|市政工程
     */
    Boolean updateByBo(ZEngineeringIndustryBo bo);

    /**
     * 校验并批量删除工业工程|市政工程信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    ZEngineeringIndustryVo query(String id);
}
